import datetime

# global download configuration ==============================================================================

# modes: 'all': download all the available files
#        'nrt': download data that includes last x days
mode = 'all'

# when nrt mode, provide time period in which data should be downloaded; if mode == 'all' these dates will be overwritten
latency_days = 7
start_date = datetime.date.today() - datetime.timedelta(days = latency_days)
stop_date = datetime.date.today()

# ghost version
version = '1.6'

# want to download data?    
dl_data = True

# want to download meta data? 
dl_metadata = False

# meta data parsing configuration, only applies if dl_metadata is True
# True: re creates json basefile from given input network provided metafile and adds current downloaded metadata to basefile; Careful, all intermediate meta timestamps will be gone
# False: does not recreate base file and only adds current metadata file to existing basefile
meta_basefile = True

# do you want to parse all meta files ever downloaded to get full meta history (True) or only base file and latest meta file (False)?
meta_history = False

# number of cpus
num_cpu = 1

# download location *** Passed in command line ***
#root = '/esarchive/obs/ghost'

# networks you want to download
#networks_to_download = 'all'
#networks_to_download = ['EBAS'] *** Passed in command line ***